| Home | Libraries | People | FAQ | More

###### array::rend (1 of 2 overloads)

Return a reverse iterator to the element following the last element of the reversed container.

###### Synopsis

    reverse_iterator
    rend();

###### Description

The pointed-to element corresponds to the element preceding the first element of the non-reversed container. The element acts as a placeholder; attempting to access it results in undefined behavior.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.